/*===========================================================================*/
/*   (Init/setrc.scm)                                                        */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Init/setrc.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_setupzd2libraryzd2valuesz00zzinit_setrcz00(obj_t);
BGL_IMPORT obj_t BGl_loadqz00zz__evalz00(obj_t);
static obj_t BGl_za2libraryzd2initza2zd2zzinit_setrcz00 = BUNSPEC;
static obj_t BGl__setupzd2libraryzd2values1041z00zzinit_setrcz00(obj_t, obj_t);
static obj_t BGl__loadzd2libraryzd2initz00zzinit_setrcz00(obj_t);
BGL_IMPORT obj_t BGl_getenvz00zz__osz00(char *);
BGL_EXPORTED_DECL obj_t BGl_setupzd2defaultzd2valuesz00zzinit_setrcz00();
static obj_t BGl__setupzd2defaultzd2valuesz00zzinit_setrcz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzinit_setrcz00();
static obj_t BGl_requirezd2initializa7ationz75zzinit_setrcz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzinit_setrcz00();
static obj_t BGl_toplevelzd2initzd2zzinit_setrcz00();
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_loadzd2libraryzd2initzd2envzd2zzinit_setrcz00, BgL_bgl__loadza7d2libraryza7d2initza700za7za7init_setrcza7001067z00, BGl__loadzd2libraryzd2initz00zzinit_setrcz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_setupzd2defaultzd2valueszd2envzd2zzinit_setrcz00, BgL_bgl__setupza7d2defaultza7d2valuesza700za7za7init_setrcza7001068z00, BGl__setupzd2defaultzd2valuesz00zzinit_setrcz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_setupzd2libraryzd2valueszd2envzd2zzinit_setrcz00, BgL_bgl__setupza7d2libraryza7d2values1041za700za7za7init_setrcza7001069z00, BGl__setupzd2libraryzd2values1041z00zzinit_setrcz00, 0L, 1 );
DEFINE_STRING( BGl_string1057z00zzinit_setrcz00, BgL_bgl_string1057za700za7za7init_setrcza7001070z00, "      [reading ", 15 );
DEFINE_STRING( BGl_string1056z00zzinit_setrcz00, BgL_bgl_string1056za700za7za7init_setrcza7001071z00, "]", 1 );
DEFINE_STRING( BGl_string1055z00zzinit_setrcz00, BgL_bgl_string1055za700za7za7init_setrcza7001072z00, ".init", 5 );
DEFINE_STRING( BGl_string1054z00zzinit_setrcz00, BgL_bgl_string1054za700za7za7init_setrcza7001073z00, ".bigloorc", 9 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long BgL_checksumz00_27, char * BgL_fromz00_28)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinit_setrcz00))
{ 
BGl_requirezd2initializa7ationz75zzinit_setrcz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinit_setrcz00(); 
BGl_importedzd2moduleszd2initz00zzinit_setrcz00(); 
BGl_toplevelzd2initzd2zzinit_setrcz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinit_setrcz00()
{ AN_OBJECT;
{ /* ./Init/setrc.scm 15 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "init_setrc"); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)0), "init_setrc"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "init_setrc"); 
return BUNSPEC;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzinit_setrcz00()
{ AN_OBJECT;
{ /* ./Init/setrc.scm 15 */
return ( 
BGl_za2libraryzd2initza2zd2zzinit_setrcz00 = BNIL, BUNSPEC) ;} 
}



/* setup-default-values */
BGL_EXPORTED_DEF obj_t BGl_setupzd2defaultzd2valuesz00zzinit_setrcz00()
{ AN_OBJECT;
{ /* ./Init/setrc.scm 25 */
{ /* ./Init/setrc.scm 26 */
obj_t BgL_pathz00_2;
{ /* ./Init/setrc.scm 26 */
obj_t BgL_homez00_4;
BgL_homez00_4 = 
BGl_getenvz00zz__osz00("HOME"); 
{ /* ./Init/setrc.scm 27 */
bool_t BgL_test1007z00_5;
BgL_test1007z00_5 = 
STRINGP(BgL_homez00_4); 
if(BgL_test1007z00_5)
{ /* ./Init/setrc.scm 27 */
BgL_pathz00_2 = 
MAKE_PAIR(BgL_homez00_4, BGl_za2libzd2dirza2zd2zzengine_paramz00); }  else 
{ /* ./Init/setrc.scm 27 */
BgL_pathz00_2 = BGl_za2libzd2dirza2zd2zzengine_paramz00; } } } 
{ /* ./Init/setrc.scm 26 */
obj_t BgL_fnamez00_3;
BgL_fnamez00_3 = 
BGl_findzd2filezf2pathz20zz__osz00(BGl_string1054z00zzinit_setrcz00, BgL_pathz00_2); 
{ /* ./Init/setrc.scm 30 */

if(
CBOOL(BgL_fnamez00_3))
{ /* ./Init/setrc.scm 31 */
return 
BGl_loadqz00zz__evalz00(BgL_fnamez00_3);}  else 
{ /* ./Init/setrc.scm 31 */
return BFALSE;} } } } } 
}



/* _setup-default-values */
obj_t BGl__setupzd2defaultzd2valuesz00zzinit_setrcz00(obj_t BgL_envz00_23)
{ AN_OBJECT;
{ /* ./Init/setrc.scm 25 */
return 
BGl_setupzd2defaultzd2valuesz00zzinit_setrcz00();} 
}



/* setup-library-values */
BGL_EXPORTED_DEF obj_t BGl_setupzd2libraryzd2valuesz00zzinit_setrcz00(obj_t BgL_libraryz00_1)
{ AN_OBJECT;
{ /* ./Init/setrc.scm 37 */
{ /* ./Init/setrc.scm 38 */
obj_t BgL_initzd2namezd2_6;
BgL_initzd2namezd2_6 = 
string_append(BgL_libraryz00_1, BGl_string1055z00zzinit_setrcz00); 
{ /* ./Init/setrc.scm 38 */
obj_t BgL_fnamez00_7;
BgL_fnamez00_7 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_initzd2namezd2_6, BGl_za2libzd2dirza2zd2zzengine_paramz00); 
{ /* ./Init/setrc.scm 39 */

if(
CBOOL(BgL_fnamez00_7))
{ /* ./Init/setrc.scm 40 */
return ( 
BGl_za2libraryzd2initza2zd2zzinit_setrcz00 = 
MAKE_PAIR(BgL_fnamez00_7, BGl_za2libraryzd2initza2zd2zzinit_setrcz00), BUNSPEC) ;}  else 
{ /* ./Init/setrc.scm 40 */
return BFALSE;} } } } } 
}



/* _setup-library-values1041 */
obj_t BGl__setupzd2libraryzd2values1041z00zzinit_setrcz00(obj_t BgL_envz00_24, obj_t BgL_libraryz00_25)
{ AN_OBJECT;
{ /* ./Init/setrc.scm 37 */
return 
BGl_setupzd2libraryzd2valuesz00zzinit_setrcz00(BgL_libraryz00_25);} 
}



/* load-library-init */
BGL_EXPORTED_DEF obj_t BGl_loadzd2libraryzd2initz00zzinit_setrcz00()
{ AN_OBJECT;
{ /* ./Init/setrc.scm 53 */
{ 
obj_t BgL_l1003z00_8;
BgL_l1003z00_8 = BGl_za2libraryzd2initza2zd2zzinit_setrcz00; 
BgL_forzd2each1004zd2_9:
{ /* ./Init/setrc.scm 54 */
bool_t BgL_test1015z00_10;
BgL_test1015z00_10 = 
PAIRP(BgL_l1003z00_8); 
if(BgL_test1015z00_10)
{ /* ./Init/setrc.scm 54 */
{ /* ./Init/setrc.scm 55 */
obj_t BgL_fnamez00_11;
BgL_fnamez00_11 = 
CAR(BgL_l1003z00_8); 
{ /* ./Init/setrc.scm 55 */
obj_t BgL_list1017z00_12;
{ /* ./Init/setrc.scm 55 */
obj_t BgL_arg1020z00_14;
{ /* ./Init/setrc.scm 55 */
obj_t BgL_arg1023z00_15;
{ /* ./Init/setrc.scm 55 */
obj_t BgL_arg1028z00_17;
{ /* ./Init/setrc.scm 55 */
obj_t BgL_auxz00_56;
BgL_auxz00_56 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1028z00_17 = 
MAKE_PAIR(BgL_auxz00_56, BNIL); } 
BgL_arg1023z00_15 = 
MAKE_PAIR(BGl_string1056z00zzinit_setrcz00, BgL_arg1028z00_17); } 
BgL_arg1020z00_14 = 
MAKE_PAIR(BgL_fnamez00_11, BgL_arg1023z00_15); } 
BgL_list1017z00_12 = 
MAKE_PAIR(BGl_string1057z00zzinit_setrcz00, BgL_arg1020z00_14); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1017z00_12); } 
BGl_loadqz00zz__evalz00(BgL_fnamez00_11); } 
{ /* ./Init/setrc.scm 54 */
obj_t BgL_arg1034z00_18;
BgL_arg1034z00_18 = 
CDR(BgL_l1003z00_8); 
{ 
obj_t BgL_l1003z00_66;
BgL_l1003z00_66 = BgL_arg1034z00_18; 
BgL_l1003z00_8 = BgL_l1003z00_66; 
goto BgL_forzd2each1004zd2_9;} } }  else 
{ /* ./Init/setrc.scm 54 */((bool_t)1); } } } 
return ( 
BGl_za2libraryzd2initza2zd2zzinit_setrcz00 = BNIL, BUNSPEC) ;} 
}



/* _load-library-init */
obj_t BGl__loadzd2libraryzd2initz00zzinit_setrcz00(obj_t BgL_envz00_26)
{ AN_OBJECT;
{ /* ./Init/setrc.scm 53 */
return 
BGl_loadzd2libraryzd2initz00zzinit_setrcz00();} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinit_setrcz00()
{ AN_OBJECT;
{ /* ./Init/setrc.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "init_setrc"); 
return 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "init_setrc");} 
}

